List the account's operator principal and its buyer agents
curl --request GET \
--url https://api.semicola.com/api/v2/buyer-agent-principals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/buyer-agent-principals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/buyer-agent-principals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"operator": {
"principalKind": "operator",
"accountId": 0,
"displayName": "<string>"
},
"buyerAgents": [
{
"principalId": "<string>",
"principalKind": "buyer_agent",
"displayName": "<string>",
"lifecycleState": "active",
"canonicalAgentUrl": "<string>",
"authority": {
"account": false,
"spend": false,
"payment": false,
"terms": false
},
"access": {
"revision": 0,
"advertisers": [
{
"advertiserId": 0,
"advertiserName": "<string>",
"role": "READ"
}
]
},
"credentials": [
{
"credentialType": "api_key",
"binding": "active",
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"retiredAt": "2023-11-07T05:31:56Z",
"serviceTokenId": "<string>",
"keyPrefix": "<string>",
"keyName": "<string>",
"subject": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Buyer Agent Principals
List the account's operator principal and its buyer agents
GET
/
api
/
v2
/
buyer-agent-principals
List the account's operator principal and its buyer agents
